export interface ElectronAPI {
  setCookie: (cookieString: string) => Promise<void>;
  checkUrl: (url: string) => Promise<{ ok: boolean; status: number; error?: string }>;
}

declare global {
  interface Window {
    electronAPI: ElectronAPI;
  }
} 